Bug 1568112 - scap-security-guide-doc has confusing contents
Summary: scap-security-guide-doc has confusing contents
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 18:58 UTC by Marek Haicman
Modified: 2019-08-22 17:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 17:25:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marek Haicman 2018-04-16 18:58:55 UTC
Description of problem:
-doc should contain all the html additions, that are not directly consumable as a content. In current state, one group of such files is shipped in the scap-security-guide core package (i.e. /usr/share/doc/scap-security-guide-0.1.36/tables)

Also confusing is that -doc has it's own directory. It would be preferable to have one, /usr/share/doc/scap-security-guide-0.1.36 and not /usr/share/doc/scap-security-guide-doc-0.1.36.

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.36-7.el7.noarch

How reproducible:
reliably

Steps to Reproduce:
1. rpm -ql scap-security-guide
2. rpm -ql scap-security-guide-doc
3. 
 
Actual results:
* tables in scap-security-guide package
* existence of /usr/share/doc/scap-security-guide-doc directory

Expected results:
* tables in scap-seucurity-guide-doc package
* scap-security-guide-doc content goes into /usr/share/doc/scap-security-guide directory

Additional info:

Comment 2 Matěj Týč 2018-11-27 12:55:38 UTC
This issue seems to be fixed on Fedora, so we basically need to unify Fedora / RHEL7 SSG packaging.

Comment 4 Marek Haicman 2019-08-22 17:25:18 UTC
This issue was not selected to be included in Red Hat Enterprise Linux 7.8 because it is seen either as low or moderate impact to a small number of use-cases. The next release will be in Maintenance Support 1 Phase, which means that qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. We will now close this issue, but if you believe that it qualifies for the Maintenance Support 1 Phase, please re-open; otherwise, we recommend moving the request to Red Hat Enterprise Linux 8 if applicable.


Note You need to log in before you can comment on or make changes to this bug.